# wxDCTextColourChanger Class Reference
[Graphics Device Interface (GDI)]

`#include <wx/dc.h>`

## Detailed Description

wxDCTextColourChanger is a small helper class for setting a foreground text colour on a wxDC and unsetting it automatically in the destructor, restoring the previous one.

##

Library: wxCore

Category: Graphics Device Interface (GDI)

See also:
  wxDC::SetTextForeground(), wxDCFontChanger, wxDCPenChanger, wxDCBrushChanger, wxDCClipper

## Public Member Functions
| wxDCTextColourChanger (wxDC &dc)
| Trivial constructor not changing anything.
| wxDCTextColourChanger (wxDC &dc, const wxColour &col)
| Sets col on the given dc, storing the old one.
void | Set (const wxColour &col)
| Set the colour to use.
| ~wxDCTextColourChanger ()
| Restores the colour originally selected in the DC passed to the ctor.

List of all members.

## Constructor & Destructor Documentation

wxDCTextColourChanger::wxDCTextColourChanger | ( | wxDC & | dc | ) |

Trivial constructor not changing anything.

This constructor is useful if you don't know beforehand if the colour needs to be changed or not. It simply creates the object which won't do anything in its destructor unless Set() is called -- in which case it would reset the previous colour.

wxDCTextColourChanger::wxDCTextColourChanger | ( | wxDC & | dc,
|  | const wxColour & | col |
| ) |  |  |

Sets col on the given dc, storing the old one.

Parameters:

  | dc | The DC where the colour must be temporary set.
  | col | The colour to set.

wxDCTextColourChanger::~wxDCTextColourChanger | ( |  | ) |

Restores the colour originally selected in the DC passed to the ctor.

## Member Function Documentation

void wxDCTextColourChanger::Set | ( | const wxColour & | col | ) |

Set the colour to use.

This method is meant to be called once only and only on the objects created with the constructor overload not taking wxColour argument and has the same effect as the other constructor, i.e. sets the colour to the given col and ensures that the old value is restored when this object is destroyed.

|  | [ top ]